#
# IMPORTANT NOTE
#
# This chart inherits from our common library chart. You can check the default values/options here:
# https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common/values.yaml
#

image:
  # -- image repository
  repository: driveone/onedrive
  # -- image tag
  tag:
  # -- image pull policy
  pullPolicy: IfNotPresent

# -- environment variables.
# @default -- See below and commented variables in values.yaml
env:
  # -- Set the container timezone
  TZ: UTC
  # -- Set the OneDrive User ID
  ONEDRIVE_UID: 1000
  # -- Set the One Drive Group ID
  ONEDRIVE_GID: 1000
  # -- Set the One Drive Authentication Response
  ONEDRIVE_AUTHRESPONSE: ""
  # ONEDRIVE_VERBOSE: 0
  # ONEDRIVE_DEBUG: 0
  # ONEDRIVE_DEBUG_HTTPS: 0
  # ONEDRIVE_RESYNC: 0
  # ONEDRIVE_DOWNLOADONLY: 0
  # ONEDRIVE_LOGOUT: 0

# -- Configure persistence settings for the chart under this key.
# @default -- See values.yaml for full listing
persistence:
  # -- OneDrive config storage
  config:
    # -- If config storage should be enabled
    enabled: true
    mountPath: /onedrive/conf
    accessMode: ReadWriteOnce

  # -- OneDrive data storage
  data:
    # -- If data storage should be enabled
    enabled: true
    mountPath: /onedrive/data
    type: pvc
    size: 5Gi
    accessMode: ReadWriteOnce
    readOnly: false
    retain: false

# @default -- Default config with application_id set.
config: |
  # Configuration for OneDrive Linux Client
  # This file contains the list of supported configuration fields
  # with their default values.
  # All values need to be enclosed in quotes
  # When changing a config option below, remove the '#' from the start of the line
  # For explanations of all config options below see docs/USAGE.md or the man page.
  #
  # sync_dir = "/onedrive/data"
  # skip_file = "~*|.~*|*.tmp"
  # monitor_interval = "300"
  # skip_dir = ""
  # log_dir = "/var/log/onedrive/"
  # drive_id = ""
  # upload_only = "false"
  # check_nomount = "false"
  # check_nosync = "false"
  # download_only = "false"
  # disable_notifications = "false"
  # disable_upload_validation = "false"
  # enable_logging = "false"
  # force_http_2 = "false"
  # local_first = "false"
  # no_remote_delete = "false"
  # skip_symlinks = "false"
  # debug_https = "false"
  # skip_dotfiles = "false"
  # dry_run = "false"
  # min_notify_changes = "5"
  # monitor_log_frequency = "5"
  # monitor_fullscan_frequency = "10"
  # sync_root_files = "false"
  # classify_as_big_delete = "1000"
  # user_agent = ""
  # remove_source_files = "false"
  # skip_dir_strict_match = "false"
  application_id = "d50ca740-c83f-4d1b-b616-12c519384f0c"
  # resync = "false"
  # bypass_data_preservation = "false"
  # azure_ad_endpoint = ""
  # azure_tenant_id = "common"
  # sync_business_shared_folders = "false"
  # sync_dir_permissions = "700"
  # sync_file_permissions = "600"
  # rate_limit = "131072"
